Fix up permissions.
[ardour.git] / libs / glibmm2 / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = .
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 build_triplet = @build@
37 host_triplet = @host@
38 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
40         $(top_srcdir)/configure \
41         $(top_srcdir)/docs/Makefile_web.am_fragment AUTHORS COPYING \
42         ChangeLog INSTALL NEWS
43 subdir = .
44 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45 am__aclocal_m4_deps = $(top_srcdir)/scripts/cxx.m4 \
46         $(top_srcdir)/scripts/cxx_std.m4 \
47         $(top_srcdir)/scripts/docgen.m4 \
48         $(top_srcdir)/scripts/glibmm_check_perl.m4 \
49         $(top_srcdir)/scripts/macros.m4 \
50         $(top_srcdir)/scripts/reduced.m4 $(top_srcdir)/scripts/sun.m4 \
51         $(top_srcdir)/configure.in
52 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
53         $(ACLOCAL_M4)
54 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
55  configure.lineno configure.status.lineno
56 mkinstalldirs = $(install_sh) -d
57 CONFIG_HEADER = config.h $(top_builddir)/glib/glibmmconfig.h
58 CONFIG_CLEAN_FILES =
59 SOURCES =
60 DIST_SOURCES =
61 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
62         html-recursive info-recursive install-data-recursive \
63         install-exec-recursive install-info-recursive \
64         install-recursive installcheck-recursive installdirs-recursive \
65         pdf-recursive ps-recursive uninstall-info-recursive \
66         uninstall-recursive
67 ETAGS = etags
68 CTAGS = ctags
69 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
70 distdir = $(PACKAGE)-$(VERSION)
71 top_distdir = $(distdir)
72 am__remove_distdir = \
73   { test ! -d $(distdir) \
74     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
75          && rm -fr $(distdir); }; }
76 DIST_ARCHIVES = $(distdir).tar.gz
77 GZIP_ENV = --best
78 distuninstallcheck_listfiles = find . -type f -print
79 distcleancheck_listfiles = find . -type f -print
80 ACLOCAL = @ACLOCAL@
81 AMDEP_FALSE = @AMDEP_FALSE@
82 AMDEP_TRUE = @AMDEP_TRUE@
83 AMTAR = @AMTAR@
84 AR = @AR@
85 AS = @AS@
86 AUTOCONF = @AUTOCONF@
87 AUTOHEADER = @AUTOHEADER@
88 AUTOMAKE = @AUTOMAKE@
89 AWK = @AWK@
90 CC = @CC@
91 CCDEPMODE = @CCDEPMODE@
92 CFLAGS = @CFLAGS@
93 CPP = @CPP@
94 CPPFLAGS = @CPPFLAGS@
95 CXX = @CXX@
96 CXXCPP = @CXXCPP@
97 CXXDEPMODE = @CXXDEPMODE@
98 CXXFLAGS = @CXXFLAGS@
99 CYGPATH_W = @CYGPATH_W@
100 DEFS = @DEFS@
101 DEPDIR = @DEPDIR@
102 DISABLE_DEPRECATED_API_CFLAGS = @DISABLE_DEPRECATED_API_CFLAGS@
103 DISABLE_DEPRECATED_CFLAGS = @DISABLE_DEPRECATED_CFLAGS@
104 DLLTOOL = @DLLTOOL@
105 ECHO = @ECHO@
106 ECHO_C = @ECHO_C@
107 ECHO_N = @ECHO_N@
108 ECHO_T = @ECHO_T@
109 EGREP = @EGREP@
110 EXEEXT = @EXEEXT@
111 F77 = @F77@
112 FFLAGS = @FFLAGS@
113 GLIBMM_CFLAGS = @GLIBMM_CFLAGS@
114 GLIBMM_LIBS = @GLIBMM_LIBS@
115 GLIBMM_MAJOR_VERSION = @GLIBMM_MAJOR_VERSION@
116 GLIBMM_MICRO_VERSION = @GLIBMM_MICRO_VERSION@
117 GLIBMM_MINOR_VERSION = @GLIBMM_MINOR_VERSION@
118 GLIBMM_RELEASE = @GLIBMM_RELEASE@
119 GLIBMM_VERSION = @GLIBMM_VERSION@
120 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
121 GTHREAD_LIBS = @GTHREAD_LIBS@
122 GTKMMPROC_MERGECDOCS = @GTKMMPROC_MERGECDOCS@
123 GTKMM_DOXYGEN_INPUT = @GTKMM_DOXYGEN_INPUT@
124 GTKMM_FALSE_FALSE = @GTKMM_FALSE_FALSE@
125 GTKMM_FALSE_TRUE = @GTKMM_FALSE_TRUE@
126 INSTALL_DATA = @INSTALL_DATA@
127 INSTALL_PROGRAM = @INSTALL_PROGRAM@
128 INSTALL_SCRIPT = @INSTALL_SCRIPT@
129 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
130 LDFLAGS = @LDFLAGS@
131 LIBGLIBMM_SO_VERSION = @LIBGLIBMM_SO_VERSION@
132 LIBOBJS = @LIBOBJS@
133 LIBS = @LIBS@
134 LIBTOOL = @LIBTOOL@
135 LN_S = @LN_S@
136 LTLIBOBJS = @LTLIBOBJS@
137 M4 = @M4@
138 MAINT = @MAINT@
139 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
140 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
141 MAKEINFO = @MAKEINFO@
142 OBJDUMP = @OBJDUMP@
143 OBJEXT = @OBJEXT@
144 OS_WIN32_FALSE = @OS_WIN32_FALSE@
145 OS_WIN32_TRUE = @OS_WIN32_TRUE@
146 PACKAGE = @PACKAGE@
147 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
148 PACKAGE_NAME = @PACKAGE_NAME@
149 PACKAGE_STRING = @PACKAGE_STRING@
150 PACKAGE_TARNAME = @PACKAGE_TARNAME@
151 PACKAGE_VERSION = @PACKAGE_VERSION@
152 PATH_SEPARATOR = @PATH_SEPARATOR@
153 PERL_PATH = @PERL_PATH@
154 PKG_CONFIG = @PKG_CONFIG@
155 PLATFORM_WIN32_FALSE = @PLATFORM_WIN32_FALSE@
156 PLATFORM_WIN32_TRUE = @PLATFORM_WIN32_TRUE@
157 RANLIB = @RANLIB@
158 SET_MAKE = @SET_MAKE@
159 SHELL = @SHELL@
160 STRIP = @STRIP@
161 VERSION = @VERSION@
162 ac_ct_AR = @ac_ct_AR@
163 ac_ct_AS = @ac_ct_AS@
164 ac_ct_CC = @ac_ct_CC@
165 ac_ct_CXX = @ac_ct_CXX@
166 ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
167 ac_ct_F77 = @ac_ct_F77@
168 ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
169 ac_ct_RANLIB = @ac_ct_RANLIB@
170 ac_ct_STRIP = @ac_ct_STRIP@
171 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
172 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
173 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
174 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
175 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
176 am__include = @am__include@
177 am__leading_dot = @am__leading_dot@
178 am__quote = @am__quote@
179 am__tar = @am__tar@
180 am__untar = @am__untar@
181 bindir = @bindir@
182 build = @build@
183 build_alias = @build_alias@
184 build_cpu = @build_cpu@
185 build_os = @build_os@
186 build_vendor = @build_vendor@
187 datadir = @datadir@
188 exec_prefix = @exec_prefix@
189 host = @host@
190 host_alias = @host_alias@
191 host_cpu = @host_cpu@
192 host_os = @host_os@
193 host_vendor = @host_vendor@
194 includedir = @includedir@
195 infodir = @infodir@
196 install_sh = @install_sh@
197 libdir = @libdir@
198 libexecdir = @libexecdir@
199 localstatedir = @localstatedir@
200 mandir = @mandir@
201 mkdir_p = @mkdir_p@
202 oldincludedir = @oldincludedir@
203 prefix = @prefix@
204 program_transform_name = @program_transform_name@
205 sbindir = @sbindir@
206 sharedstatedir = @sharedstatedir@
207 sysconfdir = @sysconfdir@
208 target_alias = @target_alias@
209 ACLOCAL_AMFLAGS = -I scripts
210 SUBDIRS = tools glib examples docs scripts tests MSVC_Net2003
211 DIST_SUBDIRS = $(SUBDIRS)
212 EXTRA_DIST = build_shared/Makefile_build.am_fragment \
213                   build_shared/Makefile_build_gensrc.am_fragment \
214                   build_shared/Makefile_gensrc.am_fragment \
215                   build_shared/Makefile_gensrc_platform.am_fragment \
216                   build_shared/Makefile_build_extra.am_fragment \
217                   CHANGES README.win32
218
219 web_host = gtkmm.org
220 web_path_gtkmm = /home/murrayc/gtkmm.org/docs/glibmm-2.4/
221 #web_path_gtkmm = /home/groups/g/gt/gtkmm/htdocs/docs/glibmm-2.4/
222 web_path_docs = $(web_path_gtkmm)docs/
223 rsync_args = -vz --rsh ssh --delete --delete-after
224 gtkmm_docdir = $(datadir)/doc/glibmm-2.4/docs
225 doc_tarball_files = \
226         docs/images/*.gif \
227         docs/internal/*.txt docs/internal/*.dia docs/reference/html
228
229 all: config.h
230         $(MAKE) $(AM_MAKEFLAGS) all-recursive
231
232 .SUFFIXES:
233 am--refresh:
234         @:
235 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/docs/Makefile_web.am_fragment $(am__configure_deps)
236         @for dep in $?; do \
237           case '$(am__configure_deps)' in \
238             *$$dep*) \
239               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
240               cd $(srcdir) && $(AUTOMAKE) --gnu  \
241                 && exit 0; \
242               exit 1;; \
243           esac; \
244         done; \
245         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
246         cd $(top_srcdir) && \
247           $(AUTOMAKE) --gnu  Makefile
248 .PRECIOUS: Makefile
249 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
250         @case '$?' in \
251           *config.status*) \
252             echo ' $(SHELL) ./config.status'; \
253             $(SHELL) ./config.status;; \
254           *) \
255             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
256             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
257         esac;
258
259 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
260         $(SHELL) ./config.status --recheck
261
262 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
263         cd $(srcdir) && $(AUTOCONF)
264 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
265         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
266
267 config.h: stamp-h1
268         @if test ! -f $@; then \
269           rm -f stamp-h1; \
270           $(MAKE) stamp-h1; \
271         else :; fi
272
273 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
274         @rm -f stamp-h1
275         cd $(top_builddir) && $(SHELL) ./config.status config.h
276 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
277         cd $(top_srcdir) && $(AUTOHEADER)
278         rm -f stamp-h1
279         touch $@
280
281 distclean-hdr:
282         -rm -f config.h stamp-h1
283
284 mostlyclean-libtool:
285         -rm -f *.lo
286
287 clean-libtool:
288         -rm -rf .libs _libs
289
290 distclean-libtool:
291         -rm -f libtool
292 uninstall-info-am:
293
294 # This directory's subdirectories are mostly independent; you can cd
295 # into them and run `make' without going through this Makefile.
296 # To change the values of `make' variables: instead of editing Makefiles,
297 # (1) if the variable is set in `config.status', edit `config.status'
298 #     (which will cause the Makefiles to be regenerated when you run `make');
299 # (2) otherwise, pass the desired values on the `make' command line.
300 $(RECURSIVE_TARGETS):
301         @failcom='exit 1'; \
302         for f in x $$MAKEFLAGS; do \
303           case $$f in \
304             *=* | --[!k]*);; \
305             *k*) failcom='fail=yes';; \
306           esac; \
307         done; \
308         dot_seen=no; \
309         target=`echo $@ | sed s/-recursive//`; \
310         list='$(SUBDIRS)'; for subdir in $$list; do \
311           echo "Making $$target in $$subdir"; \
312           if test "$$subdir" = "."; then \
313             dot_seen=yes; \
314             local_target="$$target-am"; \
315           else \
316             local_target="$$target"; \
317           fi; \
318           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
319           || eval $$failcom; \
320         done; \
321         if test "$$dot_seen" = "no"; then \
322           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
323         fi; test -z "$$fail"
324
325 mostlyclean-recursive clean-recursive distclean-recursive \
326 maintainer-clean-recursive:
327         @failcom='exit 1'; \
328         for f in x $$MAKEFLAGS; do \
329           case $$f in \
330             *=* | --[!k]*);; \
331             *k*) failcom='fail=yes';; \
332           esac; \
333         done; \
334         dot_seen=no; \
335         case "$@" in \
336           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
337           *) list='$(SUBDIRS)' ;; \
338         esac; \
339         rev=''; for subdir in $$list; do \
340           if test "$$subdir" = "."; then :; else \
341             rev="$$subdir $$rev"; \
342           fi; \
343         done; \
344         rev="$$rev ."; \
345         target=`echo $@ | sed s/-recursive//`; \
346         for subdir in $$rev; do \
347           echo "Making $$target in $$subdir"; \
348           if test "$$subdir" = "."; then \
349             local_target="$$target-am"; \
350           else \
351             local_target="$$target"; \
352           fi; \
353           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
354           || eval $$failcom; \
355         done && test -z "$$fail"
356 tags-recursive:
357         list='$(SUBDIRS)'; for subdir in $$list; do \
358           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
359         done
360 ctags-recursive:
361         list='$(SUBDIRS)'; for subdir in $$list; do \
362           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
363         done
364
365 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
366         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
367         unique=`for i in $$list; do \
368             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
369           done | \
370           $(AWK) '    { files[$$0] = 1; } \
371                END { for (i in files) print i; }'`; \
372         mkid -fID $$unique
373 tags: TAGS
374
375 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
376                 $(TAGS_FILES) $(LISP)
377         tags=; \
378         here=`pwd`; \
379         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
380           include_option=--etags-include; \
381           empty_fix=.; \
382         else \
383           include_option=--include; \
384           empty_fix=; \
385         fi; \
386         list='$(SUBDIRS)'; for subdir in $$list; do \
387           if test "$$subdir" = .; then :; else \
388             test ! -f $$subdir/TAGS || \
389               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
390           fi; \
391         done; \
392         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
393         unique=`for i in $$list; do \
394             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
395           done | \
396           $(AWK) '    { files[$$0] = 1; } \
397                END { for (i in files) print i; }'`; \
398         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
399           test -n "$$unique" || unique=$$empty_fix; \
400           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
401             $$tags $$unique; \
402         fi
403 ctags: CTAGS
404 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
405                 $(TAGS_FILES) $(LISP)
406         tags=; \
407         here=`pwd`; \
408         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
409         unique=`for i in $$list; do \
410             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
411           done | \
412           $(AWK) '    { files[$$0] = 1; } \
413                END { for (i in files) print i; }'`; \
414         test -z "$(CTAGS_ARGS)$$tags$$unique" \
415           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
416              $$tags $$unique
417
418 GTAGS:
419         here=`$(am__cd) $(top_builddir) && pwd` \
420           && cd $(top_srcdir) \
421           && gtags -i $(GTAGS_ARGS) $$here
422
423 distclean-tags:
424         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
425
426 distdir: $(DISTFILES)
427         $(am__remove_distdir)
428         mkdir $(distdir)
429         $(mkdir_p) $(distdir)/MSVC_Net2003/glibmm $(distdir)/build_shared $(distdir)/docs $(distdir)/docs/reference $(distdir)/glib $(distdir)/scripts $(distdir)/tools
430         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
431         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
432         list='$(DISTFILES)'; for file in $$list; do \
433           case $$file in \
434             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
435             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
436           esac; \
437           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
438           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
439           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
440             dir="/$$dir"; \
441             $(mkdir_p) "$(distdir)$$dir"; \
442           else \
443             dir=''; \
444           fi; \
445           if test -d $$d/$$file; then \
446             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
447               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
448             fi; \
449             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
450           else \
451             test -f $(distdir)/$$file \
452             || cp -p $$d/$$file $(distdir)/$$file \
453             || exit 1; \
454           fi; \
455         done
456         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
457           if test "$$subdir" = .; then :; else \
458             test -d "$(distdir)/$$subdir" \
459             || $(mkdir_p) "$(distdir)/$$subdir" \
460             || exit 1; \
461             distdir=`$(am__cd) $(distdir) && pwd`; \
462             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
463             (cd $$subdir && \
464               $(MAKE) $(AM_MAKEFLAGS) \
465                 top_distdir="$$top_distdir" \
466                 distdir="$$distdir/$$subdir" \
467                 distdir) \
468               || exit 1; \
469           fi; \
470         done
471         $(MAKE) $(AM_MAKEFLAGS) \
472           top_distdir="$(top_distdir)" distdir="$(distdir)" \
473           dist-hook
474         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
475           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
476           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
477           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
478         || chmod -R a+r $(distdir)
479 dist-gzip: distdir
480         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
481         $(am__remove_distdir)
482
483 dist-bzip2: distdir
484         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
485         $(am__remove_distdir)
486
487 dist-tarZ: distdir
488         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
489         $(am__remove_distdir)
490
491 dist-shar: distdir
492         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
493         $(am__remove_distdir)
494
495 dist-zip: distdir
496         -rm -f $(distdir).zip
497         zip -rq $(distdir).zip $(distdir)
498         $(am__remove_distdir)
499
500 dist dist-all: distdir
501         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
502         $(am__remove_distdir)
503
504 # This target untars the dist file and tries a VPATH configuration.  Then
505 # it guarantees that the distribution is self-contained by making another
506 # tarfile.
507 distcheck: dist
508         case '$(DIST_ARCHIVES)' in \
509         *.tar.gz*) \
510           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
511         *.tar.bz2*) \
512           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
513         *.tar.Z*) \
514           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
515         *.shar.gz*) \
516           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
517         *.zip*) \
518           unzip $(distdir).zip ;;\
519         esac
520         chmod -R a-w $(distdir); chmod a+w $(distdir)
521         mkdir $(distdir)/_build
522         mkdir $(distdir)/_inst
523         chmod a-w $(distdir)
524         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
525           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
526           && cd $(distdir)/_build \
527           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
528             $(DISTCHECK_CONFIGURE_FLAGS) \
529           && $(MAKE) $(AM_MAKEFLAGS) \
530           && $(MAKE) $(AM_MAKEFLAGS) dvi \
531           && $(MAKE) $(AM_MAKEFLAGS) check \
532           && $(MAKE) $(AM_MAKEFLAGS) install \
533           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
534           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
535           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
536                 distuninstallcheck \
537           && chmod -R a-w "$$dc_install_base" \
538           && ({ \
539                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
540                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
541                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
542                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
543                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
544               } || { rm -rf "$$dc_destdir"; exit 1; }) \
545           && rm -rf "$$dc_destdir" \
546           && $(MAKE) $(AM_MAKEFLAGS) dist \
547           && rm -rf $(DIST_ARCHIVES) \
548           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
549         $(am__remove_distdir)
550         @(echo "$(distdir) archives ready for distribution: "; \
551           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
552           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
553 distuninstallcheck:
554         @cd $(distuninstallcheck_dir) \
555         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
556            || { echo "ERROR: files left after uninstall:" ; \
557                 if test -n "$(DESTDIR)"; then \
558                   echo "  (check DESTDIR support)"; \
559                 fi ; \
560                 $(distuninstallcheck_listfiles) ; \
561                 exit 1; } >&2
562 distcleancheck: distclean
563         @if test '$(srcdir)' = . ; then \
564           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
565           exit 1 ; \
566         fi
567         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
568           || { echo "ERROR: files left in build directory after distclean:" ; \
569                $(distcleancheck_listfiles) ; \
570                exit 1; } >&2
571 check-am: all-am
572 check: check-recursive
573 all-am: Makefile config.h all-local
574 installdirs: installdirs-recursive
575 installdirs-am:
576 install: install-recursive
577 install-exec: install-exec-recursive
578 install-data: install-data-recursive
579 uninstall: uninstall-recursive
580
581 install-am: all-am
582         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
583
584 installcheck: installcheck-recursive
585 install-strip:
586         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
587           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
588           `test -z '$(STRIP)' || \
589             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
590 mostlyclean-generic:
591
592 clean-generic:
593
594 distclean-generic:
595         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
596
597 maintainer-clean-generic:
598         @echo "This command is intended for maintainers to use"
599         @echo "it deletes files that may require special tools to rebuild."
600 clean: clean-recursive
601
602 clean-am: clean-generic clean-libtool mostlyclean-am
603
604 distclean: distclean-recursive
605         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
606         -rm -f Makefile
607 distclean-am: clean-am distclean-generic distclean-hdr \
608         distclean-libtool distclean-tags
609
610 dvi: dvi-recursive
611
612 dvi-am:
613
614 html: html-recursive
615
616 info: info-recursive
617
618 info-am:
619
620 install-data-am:
621
622 install-exec-am:
623
624 install-info: install-info-recursive
625
626 install-man:
627
628 installcheck-am:
629
630 maintainer-clean: maintainer-clean-recursive
631         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
632         -rm -rf $(top_srcdir)/autom4te.cache
633         -rm -f Makefile
634 maintainer-clean-am: distclean-am maintainer-clean-generic
635
636 mostlyclean: mostlyclean-recursive
637
638 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
639
640 pdf: pdf-recursive
641
642 pdf-am:
643
644 ps: ps-recursive
645
646 ps-am:
647
648 uninstall-am: uninstall-info-am
649
650 uninstall-info: uninstall-info-recursive
651
652 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am all-local \
653         am--refresh check check-am clean clean-generic clean-libtool \
654         clean-recursive ctags ctags-recursive dist dist-all dist-bzip2 \
655         dist-gzip dist-hook dist-shar dist-tarZ dist-zip distcheck \
656         distclean distclean-generic distclean-hdr distclean-libtool \
657         distclean-recursive distclean-tags distcleancheck distdir \
658         distuninstallcheck dvi dvi-am html html-am info info-am \
659         install install-am install-data install-data-am install-exec \
660         install-exec-am install-info install-info-am install-man \
661         install-strip installcheck installcheck-am installdirs \
662         installdirs-am maintainer-clean maintainer-clean-generic \
663         maintainer-clean-recursive mostlyclean mostlyclean-generic \
664         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
665         tags tags-recursive uninstall uninstall-am uninstall-info-am
666
667
668 all-local:
669         @echo "*** Everything completed ***"
670
671 dist-hook:
672         @echo; echo; \
673         echo "**********************************************************"; \
674         echo "* IMPORTANT NOTICE:                                      *"; \
675         echo "*                                                        *"; \
676         echo "* Be sure you have done a complete build before running  *"; \
677         echo "* 'make dist' or 'make distcheck', because otherwise     *"; \
678         echo "* the tarball will _not_ contain the dependency rules    *"; \
679         echo "* generated by the compiler.                             *"; \
680         echo "**********************************************************"; \
681         echo; echo
682
683 # This doesn't work very well in a $(srcdir) != $(builddir) setup,
684 # but this target is for maintainer use only anyway.
685
686 glibmm-docs.tar.gz:
687         find examples -name '*.cc' -o -name '*.h' -o -name '*.xpm' -o -name '*.xml' | \
688         tar cf - --files-from - $(doc_tarball_files) | gzip -c --best >$@
689
690 # Upload documentation and examples:
691
692 post-html-recursive:
693         list='docs examples'; for subdir in $$list; do \
694           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) post-html); \
695         done
696
697 post-html-local: glibmm-docs.tar.gz
698         rsync $(rsync_args) glibmm-docs.tar.gz $$USER@$(web_host):$(web_path_gtkmm)
699
700 post-html: post-html-recursive post-html-local
701
702 doc-clean-recursive:
703         (cd docs && $(MAKE) $(AM_MAKEFLAGS) doc-clean)
704
705 doc-clean: doc-clean-recursive
706
707 doc-rebuild:
708         (cd docs && $(MAKE) $(AM_MAKEFLAGS) doc-rebuild)
709
710 .PHONY: post-html post-html-local post-html-recursive doc-clean doc-clean-recursive doc-rebuild
711 # Tell versions [3.59,3.63) of GNU make to not export all variables.
712 # Otherwise a system limit (for SysV at least) may be exceeded.
713 .NOEXPORT: